Last Comment Bug 318624 - xforms and schemaval need to be static for Minimo
: xforms and schemaval need to be static for Minimo
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: x86 All
-- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 13:55 PST by aaronr
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.34 KB, patch)
2005-12-01 13:58 PST, aaronr
doronr: review+
bugs: review+
Details | Diff | Splinter Review

Description User image aaronr 2005-12-01 13:55:38 PST
We need to make sure that XForms and Schemavalidation are static for Minimo builds.  dougt says that Minimo probably won't support components aside from possibly components written in JS or only using xpcom glue interfaces.  xpcom is not available as a .dll in Minimo and nspr and JS soon won't be, either.
Comment 1 User image aaronr 2005-12-01 13:58:32 PST
Created attachment 204732 [details] [diff] [review]
patch

forcing xforms to be static.  Had to include all the MOZ_XUL_APP stuff under an ifndef MINIMO test.  Otherwise rules in rules.mk will force components (like XForms and schemavalidation) to be shared libraries (.dlls) if they xul apps.
Comment 2 User image Olli Pettay [:smaug] (pto-ish for couple of days) 2005-12-01 14:07:05 PST
Comment on attachment 204732 [details] [diff] [review]
patch

I'm not too familiar with Minimo, but if this makes things to work r=me :)
Comment 3 User image Doron Rosenberg (IBM) 2005-12-02 08:38:57 PST
checked into trunk
Comment 4 User image aaronr 2006-02-02 17:28:00 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 5 User image aaronr 2006-07-07 09:51:50 PDT
verified fixed in MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.